<?include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}

$money_ref_b = 0.1;// Сумма за отправку рефа на биржу
$stoim = 0.05;// Сумма за отправку сообщение рефу
$user=text($_SESSION["username"]);

require('karera/setup_status.php');

$res=mysql_query("select price from tb_config where item='refbirjcomm'");
$res=mysql_fetch_assoc($res);
$comm=$res["price"];

$res=mysql_query("select valutaname from tb_site where id='1'");

$res=mysql_fetch_assoc($res);
$vn=$res["valutaname"];


?>
<div class="menucenter">
<div class='navil'>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td width='49%' style='font-size:11px;'>
Рефералов 1 ур.: <font color='red'><?
$sqryvar="SELECT COUNT(*) as count from tb_users where referer='$user'";
$iqryvar=mysql_query($sqryvar);
$row22=mysql_fetch_assoc($iqryvar);
$myrefs=$row22['count'];
echo $myrefs; ?></font> чел.
&nbsp;&nbsp;<a href="/referals.php">Просмотреть »</a>
</td>
<td width='2%'></td>
<td width='49%' style='font-size:11px;'>
Рефералов 2 ур.: <font color='red'><?
$sqryvar="SELECT COUNT(*) as count from tb_users where referer2='$user'";
$iqryvar=mysql_query($sqryvar);
$row22=mysql_fetch_assoc($iqryvar);
$myrefs=$row22['count'];

echo $myrefs; ?></font> чел.
&nbsp;&nbsp;<a href="/referals2.php">Просмотреть »</a>
</td>
</tr>
</table>
</div>
<div class='navil'>
* Реферала можно выставить на биржу сроком на 30 дней.
<br>* Комиссия системы - 10%
<br>* Стоимость пробуждения реферала <font color='red'>0.05</font> руб.
<br>* Реферала можно пробуждать раз в 2-е суток
</div>

<?
if($_GET["action"]=="send")
{
$userna=text($_POST["user"]);
$row=mysql_fetch_array(mysql_query("SELECT * FROM tb_users WHERE username='$userna'"));
$lastm=$row["lastmail"];
$wmidm=$row["wmid"];
$nowtim=time()-86400; 
if($lastm>=$nowtim) {
echo "<div class='error'>Сообщение можно отправлять только раз в двое суток!</div>";
include('footer.php');
exit;
}
$us_mon=mysql_query("select `money_cr` from `tb_users` where `username`='$user'");
$s_m=mysql_fetch_assoc($us_mon);
$moneyden=$s_m["money_cr"];
if($moneyden<=$stoim) {
echo "<div class='error'>У Вас недостаточно денег для пробуждения этого реферала!</div>";
include('footer.php');
exit;
}
if($row["referer"]!=$user) {
echo "<div class='error'>Этот пользователь не является Вашим рефералом</div>";
include('footer.php');
exit;
}
$lld=$row["lastlogdate"];
$yesterday=date("Y.m.d", strtotime('-2 day'));
if($lld>=$yesterday) {
echo "<div class='error'>Этот пользователь был на проекте в течении 3-ёх дней</div>";
include('footer.php');
exit;
}
if($lastm<=$nowtim) {
echo "<div class='good'>Сообщение успешно отправлено Вашему рефералу!</div>";
$nowtimeee=time();
mysql_query("UPDATE tb_users SET lastmail='$nowtimeee' WHERE username='$userna'") or die(mysql_error());
mysql_query("UPDATE tb_users SET money_cr=money_cr-'$stoim' WHERE username='$user'") or die(mysql_error());
mysql_query("INSERT INTO tb_mailsend (user, pazbyd, time) VALUES('$user', '$userna', '$nowtimeee')") or die(mysql_error());
require_once("_ap.php");
$receiverwmid=$wmidm;
$msgsubj='Уведомление от реферера';
$msgtext="Здравствуйте пользователь сайта almazz-bux.info: <b>$userna</b>!\nВы давно не заходили на проект, по этому Ваш реферер отправил вам сообщение.\nМы ждём вас на сайте. http://almazz-bux.info \n*Это автоматическое информационное сообщение, отвечать на него необязательно* ";
$response = $wmxi->X6(
$receiverwmid,
trim($msgsubj),
trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);

}
}
if($_POST["action"]=="sell" and $st_users[$duser["ball_status"]]["biref"] == 1)
{
$id=intval($_POST["id"]);


	$price=text($_POST["price"]);


	$res=mysql_query("select count(id) as kolvo from tb_refbirj where iduser='$id'");
	$res=mysql_fetch_assoc($res);

	if($res["kolvo"]==0){

   	  $res=mysql_query("select referer from tb_users where id='$id'");
	  $referer=mysql_result($res,0);
	 	   if($price=="" or $price < 1){

			echo "<div class=error>Цена за реферала должна быть больше, чем 1 руб.</div>";
	   }else{
	     if($referer!=$user){

			echo "<div class=error>Ошибка, вам не принадлежит этот реф</div>";
	  }else{

	  if(!is_numeric($price))
	  {
		echo "<div class=error>Неверно задана цена на реферала</div>";
	  }else{
		if($price=="" or $price < 1)
		{
			echo "<div class=error>Цена за реферала должна быть больше, чем 1 руб.</div>";
		}else{
			$price=round($price,2);
			$res=mysql_query("select referer from tb_users where id='$id'");
			$res=mysql_fetch_assoc($res);
			if($res["referer"]==$user)
			{
			  $us_mon=mysql_query("select `money_cr` from `tb_users` where `username`='$user'");
			  $s_m=mysql_fetch_assoc($us_mon);
			  if($money_ref_b > $s_m["money_cr"]){
			  	echo "<div class=error>На Вашем балансе не достаточно средст для выставления реферала на продажу.</div>";
		      }else{

		      	mysql_query("update `tb_users` set `money_cr`=`money_cr`-'$money_ref_b' where username='$user'");
				mysql_query("insert into tb_refbirj (`iduser`,`price`,`date`) values ('$id','$price',UNIX_TIMESTAMP())");
				echo "<div class=good>Реферал выставлен на продажу. <br>Отменить продажу реферала Вы можете со страницы Биржи рефералов</div>";
			  }
			}
		}
	  }
	 }
	}
  }else{
		echo "<div class=error>Пользователь уже выставлен на продажу</div>";
  }
}
if($_SESSION["sort"]!=$_GET["sort"] and $_GET["sort"]!=""){
  $_SESSION["sort"]=$_GET["sort"];
}
?>
<div class='navil'>
<a href="?sort=clic">По визитам</a>
&nbsp;&nbsp;<a href="?sort=pisma">По письмам</a>
&nbsp;&nbsp;<a href="?sort=task">По заданиям</a>
&nbsp;&nbsp;<a href="?sort=refer">По рефералам</a>
&nbsp;&nbsp;<a href="?sort=ball">По баллам</a>
&nbsp;&nbsp;<a href="?sort=act">По последнему входу</a>
&nbsp;&nbsp;<a href="?sort=dohod">По доходу</a>
&nbsp;&nbsp;<a href="?sort=new" style='color:red;'>Новые</a>
</div>
<?
$res=mysql_query("select price from tb_config where item='refbirjminclick'");
$res=mysql_fetch_assoc($res);
$minclick=$res["price"];
$user=text($_SESSION["username"]);

if($_GET["sort"]=="" and $_SESSION["sort"]==""){
   $sort = "tb_users.id";
}elseif($_SESSION["sort"]=="clic"){
   $sort = "tb_users.visits";
}elseif($_SESSION["sort"]=="pisma"){
   $sort = "tb_users.views_mails";
}elseif($_SESSION["sort"]=="task"){
   $sort = "tb_users.task";
}elseif($_SESSION["sort"]=="refer"){
   $sort = "tb_users.referals";
}elseif($_SESSION["sort"]=="ball"){
   $sort = "tb_users.ball";
}elseif($_SESSION["sort"]=="new"){
   $sort = "tb_users.id";
}elseif($_SESSION["sort"]=="dohod"){
   $sort = "tb_users.doxod";
}elseif($_SESSION["act"]=="$nowdate"){
   $sort = "tb_users.lastlogdate";
}

$num = 100;
$upag = "referals.php?";
$page = (isset($_GET['n']))? intval($_GET['n']) : 1 ;
$numpag = mysql_num_rows(mysql_query("SELECT * FROM tb_users WHERE referer='$user' order by visits desc"));
$np =$numpag;
$obpag = intval(($np - 1) / $num) + 1;
if(empty($page) or $page < 0) $page = 1;
if($page > $obpag) $page = $obpag;
$nach = $page * $num - $num;
$res = mysql_query("SELECT * FROM tb_users WHERE referer='$user' order by ".$sort." desc LIMIT $nach, $num");
include("navi.php");?>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center" width='50px'></th>
<th align="center" colspan="3" width='350px'><b>Информация</b></th>
<th align="center" colspan="3"><b>Продать на бирже</b></th>
</tr></thead>

<?
while ($row = mysql_fetch_assoc($res))
{
	$vhod=date("H:i", $row["lastvxod"]);
	echo "
<tbody><tr>
<td align='center' width='56px'>"; ?>
<div align='center' style='border: solid 1px #ddd;padding:1px;'>
<img src="avp/<?=$row["avatar"]; ?>" width='54px' height='54px' title="<?=$row["id"]; ?>"/>
</div>
<?	echo "</td>
<td align='left'>Логин: ";
	echo $row["username"];
        echo "<br /><font color='green'>Рейтинг: ";
	echo round($row["ball"],3);
	echo "</font>";
	echo "<br />";
$nowdate1=date("Y.m.d");
$nowdate2=date("Y.m.d", strtotime('-1 day'));
$nowdate3=date("Y.m.d", strtotime('-2 day'));
$gg=$row[lastlogdate];
if($nowdate1==$gg) { $nowdate="<span style='color: #009126'><b>Сегодня</b> в $vhod</span>"; }
elseif($nowdate2==$gg) { $nowdate="<span style='color: #006699'><b>Вчера</b> в $vhod</span>"; }
elseif($nowdate3==$gg) { $nowdate="<span style='color: #FF4500'><b>Позавчера</b> в $vhod</span>"; }
else{ $nowdate="Активность: $gg"; }
echo"$nowdate";
echo "<br />Регистрация: ";
	echo $row["joindate"];
        echo "</td>"; echo"<td align='left' style='font-size:11px;'>";
        echo "Рефералов: <font color='#C16605'>";
	echo $row["referals"];
	echo "</font><br />Серфинг: ";
	echo $row["visits"];
	echo "</font><br />Письма: ";
	echo $row["views_mails"];
	echo "</font><br />Задания: ";
	echo $row["task"];
        echo "</td><td align='left' style='font-size:11px;'>Скачивания: ";
        echo $row["dow_user"];
        echo "<br />Вопросы: ";
        echo $row["questions_user"];
        echo "<br /><font color='#C16605'>Доход: "; 
        echo $row["doxod"];
        echo " руб.</font><br />";
?>
<a href='wall.php?user=<?=$row["username"]; ?>'>Стена Пользователя »</a>
<?
        echo "</td><td align='center'>";
	$lld=$row["lastlogdate"];
        $lastm=$row["lastmail"];
        $nowtim=time()-172800; 
        $yesterday=date("Y.m.d", strtotime('-3 day'));
        if($lastm<=$nowtim) {
	if($lld<=$yesterday) {
	?>
        <form action="referals.php?action=send" method="post">
	<input type="hidden" value="<?=$row["username"]?>" name="user">
	<input type="hidden" value="auction" name="action">
	<input type="image" src="images/probud.png" style="border:none;padding:0px;" alt="Разбудить" title="Разбудить">
	</form>
        <?
	}}
        echo "</td><td align='center'>";
        if($st_users[$duser["ball_status"]]["biref"] == 1){
	if($row["visits"]<$minclick)
	{
		echo  $zaxodbil; echo "---</td><td>";
	}else{
		$rs=mysql_query("select count(*) as kolvo from tb_refbirj where iduser='".$row["id"]."'");
		$rs=mysql_fetch_assoc($rs);
		if($rs["kolvo"]>0)
		{
			echo "На бирже</td><td>";
		}else{

          $suca=$row["id"];
          $auz=mysql_query("SELECT * FROM `still_aukcion` WHERE idu='$suca' and idpr = '".$duser["id"]."' and status = '0'");
          if(mysql_num_rows($auz) > 0){
          	echo "На аукционе</td><td>";

          }else{
            ?>

			<form action="referals.php" method="post" onsubmit="return confirm('Выставить реферала на 1 месяц за <?=$money_ref_b?> руб');">
			<input type="hidden" value="<?=$row["id"]?>" name="id">
			<input type="text" style="width:30px;" value="0.00" name="price">
			<input type="hidden" value="sell" name="action"><br />
			<input type="submit" class="boxer" style="background-color:#ccc;margin-top:3px;" value="Продать">
			</form>
</td>
<td align='center'>
<a href="add_auc.php?id_user=<?=$row["id"]?>" target="_blank"><img src="images/auction.png" align="absmiddle" alt="Выставить на аукцион" /></a>
			<?

		  }

        }
	}
  }else{
   echo "<td align='center'><font color='red' size='1'>---</font></td>";

  }
        echo "</td></tr>";

}
?>
</tbody></table>
<?include('footer.php'); ?>
